Subject: bug#27618: Possible bug when compiled with ssl

From: Jean Louis <[email-masked]>
Date: Sun, 9 Jul 2017 01:12:50 +0300

On Sat, Jul 08, 2017 at 01:20:18PM -0700, Paul Eggert wrote:
> Jean Louis wrote:
> > Configure cannot run without "sort", and if "sort" is compiled with
> > ssl, then ./configure is not working, regardless.
> 
> Sure, but that's not really a bug in the coreutils build procedure, which
> assumes a POSIX-like environment containing the C compiler and a few
> standard utilities. If these utilities don't work coreutils won't build,
> just as most other packages won't build.
> 
> It sounds like your problem is that your distro builds coreutils with the
> --with-openssl option, but does not list the OpenSSL libraries as
> prerequsites for coreutils. If so, that's a bug in your distro's packaging
> rules and should be reported to your distro; it's not something coreutils
> itself can fix.

Alright, I see, I need to take care of it. No, I do not use distros.

I see it is not a bug in software. It is disturbing the flow.

Why sort need to have ssl with that option?

Jean